Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date: Fri, 29 Apr 2011 08:55:27 +0400
From: Solar Designer <solar@...nwall.com>
To: john-users@...ts.openwall.com
Subject: Re: JtR 1.7.7 & 1.7.7-jumbo-1 + MPI error compilation OS X

On Thu, Apr 28, 2011 at 08:57:35AM +0200, websiteaccess@...il.com wrote:
>  I have downloaded:
> 
> john-1.7.7.tar
> john-1.7.6-fullmpi8-after-jumbo3.diff
> john-1.7.7-jumbo-1.diff

As usual, no one has updated the MPI patch to the new version of JtR
yet, and I don't know whether anyone intends to.

> All patches applied

No, your pastebin shows numerous rejects.

So you may use whatever version of JtR you had working with MPI before,
and/or use the newer version without MPI (depending on your needs and
habits).  When/if someone updates the MPI patch to the new version, you
may start using that.

All - I don't mind merging the MPI patch into jumbo, which will
apparently make life easier for W.A.  Thus, please feel free to make and
submit a revision of the MPI patch suitable for integration into the
jumbo patch.  It must not strictly depend on MPI; instead, it should
have -DHAVE_MPI, which could be uncommented in the Makefile to activate
the functionality (similarly to HAVE_SKEY and -lskey, which we already
have - these came from another patch I merged).

Thanks,

Alexander

Powered by blists - more mailing lists

Your e-mail address:

Confused about mailing lists and their use? Read about mailing lists on Wikipedia and check out these guidelines on proper formatting of your messages.